# TBasicObjectFactory Class Reference
[Base Classes for plugins]

Basic Object Factory class. More...

Inheritance diagram for TBasicObjectFactory:

List of all members.

## Public Member Functions
| TBasicObjectFactory (const MCCLSID &classId)
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual MCCOMErr MCCOMAPI | CreateInstance (IMCUnknown *pUnkOuter, const MCIID &riid, void **ppvObject)
virtual MCCOMErr MCCOMAPI | LockServer (boolean fLock)
## Public Attributes
| STANDARD_RELEASE
## Protected Attributes
MCCLSID | fClassId

## Detailed Description

Basic Object Factory class.

## Constructor & Destructor Documentation

TBasicObjectFactory::TBasicObjectFactory | ( | const MCCLSID & | classId | ) |

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicObjectFactory::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicUnknown.

virtual MCCOMErr MCCOMAPI TBasicObjectFactory::CreateInstance | ( | IMCUnknown * | pUnkOuter,
|  | const MCIID & | riid,
|  | void ** | ppvObject |
| ) |  |  | `[virtual]`

Implements IMCClassFactory.

virtual MCCOMErr MCCOMAPI TBasicObjectFactory::LockServer | ( | boolean | fLock | ) | `[virtual]`

Implements IMCClassFactory.

virtual MCCOMErr MCCOMAPI TBasicObjectFactory::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicUnknown.

## Member Data Documentation

MCCLSID TBasicObjectFactory::fClassId`[protected]`

TBasicObjectFactory::STANDARD_RELEASE

The documentation for this class was generated from the following file:

- BasicCOMExtImplementations.h